{"openapi":"3.0.1","info":{"title":"Easit GO Integration API","description":"","version":""},"servers":[{"url":"http://demo.easit.net/integration-api","description":"Generated server url"}],"paths":{"/items":{"get":{"tags":["integration-api-controller"],"summary":"Get items","operationId":"getItems","parameters":[{"name":"request","in":"query","required":true,"schema":{"$ref":"#/components/schemas/GetItemsRequest"}},{"name":"itemViewIdentifier","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"freeTextFilter","in":"query","required":false,"schema":{"type":"string"}},{"name":"idFilter","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetItemsResponse"}}}}}},"post":{"tags":["integration-api-controller"],"summary":"Import items","operationId":"importItems","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportItemsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportItemsResponse"}}}}}}},"/ping":{"get":{"tags":["integration-api-controller"],"summary":"Check that the application is up and running","operationId":"ping","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PingResponse"}}}}}}},"/datasources":{"get":{"tags":["integration-api-controller"],"summary":"Get datasources","operationId":"getDatasources","parameters":[{"name":"request","in":"query","required":true,"schema":{"$ref":"#/components/schemas/GetDatasourcesRequest"}},{"name":"moduleId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"parentRawValue","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetDatasourcesResponse"}}}}}}}},"components":{"schemas":{"Attachment":{"type":"object","properties":{"value":{"type":"string","format":"byte"},"name":{"type":"string","xml":{"attribute":true}},"contentId":{"type":"string","xml":{"attribute":true}}}},"GenericRequestProperty":{"type":"object","properties":{"content":{"type":"string"},"name":{"type":"string","xml":{"attribute":true}}}},"ImportItemsRequest":{"required":["importHandlerIdentifier","itemToImport"],"type":"object","properties":{"importHandlerIdentifier":{"type":"string","xml":{"name":"ImportHandlerIdentifier"}},"itemToImport":{"type":"array","xml":{"name":"ItemToImport"},"items":{"$ref":"#/components/schemas/ItemToImport"}},"genericRequestProperty":{"type":"array","xml":{"name":"GenericRequestProperty"},"items":{"$ref":"#/components/schemas/GenericRequestProperty"}}},"xml":{"name":"ImportItemsRequest","namespace":"http://www.easit.com/bps/schemas"}},"ItemToImport":{"required":["property"],"type":"object","properties":{"property":{"type":"array","xml":{"name":"Property"},"items":{"$ref":"#/components/schemas/Property"}},"attachment":{"type":"array","xml":{"name":"Attachment"},"items":{"$ref":"#/components/schemas/Attachment"}},"id":{"type":"string","xml":{"attribute":true}},"uid":{"type":"string","xml":{"name":"UID","attribute":true}}}},"Property":{"type":"object","properties":{"content":{"type":"string"},"name":{"type":"string","xml":{"attribute":true}},"rawValue":{"type":"string","xml":{"attribute":true}}}},"ImportItemResult":{"type":"object","properties":{"skippedOrExceptionMessage":{"type":"string","xml":{"name":"SkippedOrExceptionMessage"}},"returnValues":{"$ref":"#/components/schemas/ReturnValues"},"uid":{"type":"string","xml":{"name":"UID","attribute":true}},"result":{"type":"string","xml":{"attribute":true}}}},"ImportItemsResponse":{"required":["importItemResult"],"type":"object","properties":{"importItemResult":{"type":"array","xml":{"name":"ImportItemResult"},"items":{"$ref":"#/components/schemas/ImportItemResult"}}},"xml":{"name":"ImportItemsResponse","namespace":"http://www.easit.com/bps/schemas"}},"ReturnValue":{"type":"object","properties":{"content":{"type":"string"},"name":{"type":"string","xml":{"attribute":true}}}},"ReturnValues":{"type":"object","properties":{"returnValue":{"type":"array","xml":{"name":"ReturnValue"},"items":{"$ref":"#/components/schemas/ReturnValue"}}}},"PingResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ColumnFilter":{"type":"object","properties":{"content":{"type":"string"},"columnName":{"type":"string","xml":{"attribute":true}},"rawValue":{"type":"string","xml":{"attribute":true}},"comparator":{"type":"string","xml":{"attribute":true}}}},"GetItemsRequest":{"required":["itemViewIdentifier"],"type":"object","properties":{"itemViewIdentifier":{"type":"string","xml":{"name":"ItemViewIdentifier"}},"page":{"type":"integer","format":"int32","xml":{"name":"Page"}},"pageSize":{"type":"integer","format":"int32","xml":{"name":"PageSize"}},"sortColumn":{"$ref":"#/components/schemas/SortColumn"},"freeTextFilter":{"type":"string","xml":{"name":"FreeTextFilter"}},"columnFilter":{"type":"array","xml":{"name":"ColumnFilter"},"items":{"$ref":"#/components/schemas/ColumnFilter"}},"idFilter":{"type":"string","xml":{"name":"IdFilter"}}},"xml":{"name":"GetItemsRequest","namespace":"http://www.easit.com/bps/schemas"}},"SortColumn":{"type":"object","properties":{"content":{"type":"string"},"order":{"type":"string","xml":{"attribute":true}}}},"Column":{"type":"object","properties":{"content":{"type":"string"},"datatype":{"type":"string","xml":{"attribute":true}},"collection":{"type":"boolean","xml":{"attribute":true}},"connectiontype":{"type":"string","xml":{"attribute":true}}}},"Columns":{"required":["column"],"type":"object","properties":{"column":{"type":"array","xml":{"name":"Column"},"items":{"$ref":"#/components/schemas/Column"}}}},"GetItemsResponse":{"required":["columns"],"type":"object","properties":{"columns":{"$ref":"#/components/schemas/Columns"},"items":{"$ref":"#/components/schemas/Items"},"requestedPage":{"type":"integer","format":"int32","xml":{"attribute":true}},"page":{"type":"integer","format":"int32","xml":{"attribute":true}},"pageSize":{"type":"integer","format":"int32","xml":{"attribute":true}},"totalNumberOfPages":{"type":"integer","format":"int32","xml":{"attribute":true}},"totalNumberOfItems":{"type":"integer","format":"int32","xml":{"attribute":true}}},"xml":{"name":"GetItemsResponse","namespace":"http://www.easit.com/bps/schemas"}},"Item":{"required":["property"],"type":"object","properties":{"property":{"type":"array","xml":{"name":"Property"},"items":{"$ref":"#/components/schemas/Property"}},"attachment":{"type":"array","xml":{"name":"Attachment"},"items":{"$ref":"#/components/schemas/Attachment"}},"id":{"type":"string","xml":{"attribute":true}}}},"Items":{"required":["item"],"type":"object","properties":{"item":{"type":"array","xml":{"name":"Item"},"items":{"$ref":"#/components/schemas/Item"}}}},"GetDatasourcesRequest":{"type":"object","properties":{"moduleId":{"type":"integer","format":"int32"},"parentRawValue":{"type":"string"}},"xml":{"name":"GetDatasourcesRequest","namespace":"http://www.easit.com/bps/schemas"}},"Attribute":{"type":"object","properties":{"content":{"type":"string"},"name":{"type":"string","xml":{"attribute":true}}}},"Datasource":{"required":["name","rawValue","systemName"],"type":"object","properties":{"rawValue":{"type":"string"},"parentRawValue":{"type":"string"},"name":{"type":"string"},"systemName":{"type":"string"},"group":{"type":"array","items":{"type":"string"}},"attribute":{"type":"array","xml":{"name":"Attribute"},"items":{"$ref":"#/components/schemas/Attribute"}}}},"GetDatasourcesResponse":{"required":["datasource"],"type":"object","properties":{"datasource":{"type":"array","xml":{"name":"Datasource"},"items":{"$ref":"#/components/schemas/Datasource"}}},"xml":{"name":"GetDatasourcesResponse","namespace":"http://www.easit.com/bps/schemas"}}}}}